Catalogue API
List catalogue items
List products and services in the current workspace catalogue.
GET
/v1/catalogue/itemsRequest
Path, query, and JSON body fields accepted by this operation.
searchstringquerymin length 1max length 160kind"product" | "service"querystatus"draft" | "active" | "archived"querylimitintegerquerydefault 100min 1max 200
Response
Successful responses use Dawn's data envelope.
dataCatalogueItemListrequiredidstring<uuid>requiredworkspaceIdstring<uuid>requiredkind"product" | "service"requiredhandlestringrequiredmin length 1max length 120namestringrequiredmin length 1max length 160descriptionstring | nullrequiredmax length 5000referencestring | nullrequiredmin length 1max length 120serviceDurationMinutesinteger | nullrequiredmin 5max 1440status"draft" | "active" | "archived"requiredcreatedAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
422The catalogue query is invalid.503The catalogue is temporarily unavailable.
Last updated on